Skip to main content
GET
/
api2
/
v4
/
projectTemplates
/
{projectTemplateUid}
/
preTranslateSettings
Get project template pre-translate settings
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v4/projectTemplates/{projectTemplateUid}/preTranslateSettings \
  --header 'Authorization: <api-key>'
{
  "preTranslateOnJobCreation": true,
  "setJobStatusCompleted": true,
  "setJobStatusCompletedWhenConfirmed": true,
  "setProjectStatusCompleted": true,
  "overwriteExistingTranslations": true,
  "translationMemorySettings": {
    "useTranslationMemory": true,
    "translationMemoryThreshold": 0.505,
    "confirm100PercentMatches": true,
    "confirm101PercentMatches": true,
    "lock100PercentMatches": true,
    "lock101PercentMatches": true
  },
  "machineTranslationSettings": {
    "useMachineTranslation": true,
    "machineTranslationBehavior": "APPLY_MT_ABOVE_THRESHOLD",
    "lock100PercentMatches": true,
    "lockMtThreshold": 50,
    "confirmMatches": true,
    "confirmMatchesThreshold": 0.5,
    "useAltTransOnly": true,
    "mtQeMatchesInEditors": true,
    "mtForTMAbove100": true,
    "mtSuggestOnlyTmBelow": true,
    "mtSuggestOnlyTmBelowThreshold": 0.505,
    "lockPassedQualityEvaluation": true,
    "qualityProfileUid": "<string>"
  },
  "nonTranslatableSettings": {
    "preTranslateNonTranslatables": true,
    "confirm100PercentMatches": true,
    "lock100PercentMatches": true,
    "nonTranslatablesInEditors": true
  },
  "repetitionsSettings": {
    "autoPropagateRepetitions": true,
    "confirmRepetitions": true,
    "autoPropagateToLockedRepetitions": true,
    "lockSubsequentRepetitions": true
  },
  "pseudoTranslateSettings": {
    "replacement": "<string>",
    "pseudoTranslateIntersperse": true,
    "prefix": "<string>",
    "suffix": "<string>",
    "pseudoTranslateSubstitution": "<string>",
    "keyHashPrefixLen": 9,
    "length": 1.05
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectTemplateUid
string
required

Response

successful operation

Pre-translate settings

preTranslateOnJobCreation
boolean

Pre-translate & set job to completed: Pre-translate on job creation. Default: false

setJobStatusCompleted
boolean

Pre-translate & set job to completed: Set job to completed once pre-translated. Default: false

setJobStatusCompletedWhenConfirmed
boolean

Pre-translate & set job to completed when all segments confirmed: Set job to completed once pre-translated and all segments are confirmed. Default: false

setProjectStatusCompleted
boolean

Pre-translate & set job to completed: Set project to completed once all jobs pre-translated. Default: false

overwriteExistingTranslations
boolean

Overwrite existing translations in target segments. Default: false

translationMemorySettings
object

Translation memory related settings

machineTranslationSettings
object

Machine translation related settings

nonTranslatableSettings
object

Non-translatables related settings

repetitionsSettings
object

Repetitions related settings

pseudoTranslateSettings
object

Pseudo translate related settings